## plasma-nm 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,12 @@
 
 project(plasma-networkmanagement)
 
-set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -14,13 +15,15 @@
 ################# set KDE specific information #################
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(ECMQMLModules)
+include(KDEGitCommitHooks)
+include(ECMQtDeclareLoggingCategory)
 
 include(FeatureSummary)
 
@@ -64,18 +67,6 @@
     TYPE RUNTIME
 )
 
-
-# Required only for getting information about NetworkManager version in CMake
-find_package(NetworkManager 1.4.0)
-set_package_properties(NetworkManager PROPERTIES
-                       TYPE REQUIRED)
-
-find_package(MobileBroadbandProviderInfo)
-set_package_properties(MobileBroadbandProviderInfo PROPERTIES
-                       DESCRIPTION "Database of mobile broadband service providers"
-                       URL "https://wiki.gnome.org/action/show/Projects/NetworkManager/MobileBroadband/ServiceProviders"
-                       TYPE OPTIONAL)
-
 find_package(Qca-qt5 2.1.0)
 set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                        URL "https://download.kde.org/stable/qca-qt5/"
@@ -87,6 +78,12 @@
                        TYPE RUNTIME
                        PURPOSE "Needed to create mobile barcodes for WiFi networks"
                       )
+
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(OPENCONNECT IMPORTED_TARGET openconnect>=3.99)
+pkg_check_modules(NETWORKMANAGER IMPORTED_TARGET libnm>1.4.0 REQUIRED)
+pkg_check_modules(MOBILEBROADBANDPROVIDERINFO mobile-broadband-provider-info)
+pkg_get_variable(BROADBANDPROVIDER_DATABASE mobile-broadband-provider-info database)
 
 if (DISABLE_MODEMMANAGER_SUPPORT)
     message(STATUS "Disabling ModemManager support")
@@ -109,9 +106,6 @@
 
 add_definitions(-DWITH_MODEMMANAGER_SUPPORT=${WITH_MODEMMANAGER_SUPPORT})
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libs
-                    ${CMAKE_CURRENT_SOURCE_DIR}/libs/editor/)
-
 add_subdirectory(applet)
 add_subdirectory(kded)
 add_subdirectory(kcm)
@@ -130,6 +124,13 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+ecm_qt_install_logging_categories(
+        EXPORT PLASMANM
+        FILE plasma-nm.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
