=== debian/changelog ===
plasma-nm (4:5.24.5-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.5)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:51 +0100
